


#define GLCD_CS1_dir  TRISE2					
#define GLCD_CS2_dir  TRISE1
#define GLCD_DI_dir   TRISA0
#define GLCD_RW_dir   TRISA1
#define GLCD_EN_dir   TRISA2 
#define GLCD_RS_dir   TRISE0
#define GLCD_DATA_dir TRISD




#define GLCD_CS1  LATE2
#define GLCD_CS2  LATE1
#define GLCD_DI   LATA0
#define GLCD_RW   LATA1
#define GLCD_EN   LATA2
#define GLCD_RST  LATE0
#define GLCD_RS   LATE0
#define GLCD_DATA PORTD


/******ADDRESS DATA  AND COMMAND********/
#define X_ADRESS  0xB8      // Adress base for Page 0
#define Y_ADRESS  0x40      // Adress base for Y0
#define START_LINE  0xC0    // Adress base for line 0
#define DISPLAY_ON  0x3F    // Turn display on
#define DISPLAY_OFF 0x3E    // Turn display off
#define RIGHT 0
#define LEFT  1
#define BUSY  0x80
#define ON  1            // logic 1
#define OFF 0            // logic 0

/****PIN INPUT/OUTPUT*******/
#define OUTPUT OFF       // logic 0
#define INPUT ON         // logic 1
#define all_OUT 0x00 
#define all_IN 0xFF

 
/****LOGIC LEVEL*****/
#define HIGH ON             // logic 1
#define LOW OFF             // logic 0

#define set_Instruction OFF // logic 0
#define set_DATA ON         // logic 1

#define set_wr OFF          // logic 0
#define set_rd ON          // logic 1
/****OTHERS*****/
#define BLACK  0x00
#define WHITE  0xFF 


// 1 ENABLE PULSE SIGNAL HIGH TO LOW
void Enable_Pulse(void);
//2 TO TURN ON THE GLCD
void GLCD_ON();
//3 REST THE GLCD DISPLAY
void Reset_GLCD(void);
//4 WRITE A PIXEL ON TO DISPLAY
void Write_Byte(unsigned char B);
//5 SET THE POINT LOCATION OF COLUMN 
void goto_col(int x);
//6 SET THE POINT LOCATION OF ROW 
void goto_row(int y);

//5  CLEAR THE GLCD DISPLAY
void Clear_Display(void);
//6  DISPLAY TEXT STRING ON TO GLCD
void Text_GLCD(unsigned char Row,  unsigned char Column,  const unsigned  char *String);

//7 CLEAR DISPLAY TO ALL BLACK OR WHITE PIXEL
void Clear_DisplayTo(char mono);


/*************other**********************/

void Glcd_init(void);

void Load_page(void);
 
void  Load_pageA(void);


